An error when i switched from python v2.6.6 => v3.2.3

Michael Ross gmx at ross.cx
Thu Mar 7 12:51:42 CET 2013


On Thu, 07 Mar 2013 12:27:03 +0100, Νίκος Γκρ33κ <nikos.gr33k at gmail.com>  
wrote:

> Τη Πέμπτη, 7 Μαρτίου 2013 11:06:27 π.μ. UTC+2, ο χρήστης Νίκος Γκρ33κ  
> έγραψε:
>> Any ideas about the error please?
>>
>>
>>
>> I can assure you all the statemnt are correct ebcause they work in  
>> python v2.6.6
>
> can someone help this issue so my webiste will get back on working plz?

MySQLdb is python 2 only.
"MySQL-3.23 through 5.0 and Python-2.3 through 2.7 are currently  
supported. Python-3.0 will be supported in a future release."

Maybe try this one:
https://pypi.python.org/pypi/mysql-connector-python/1.0.9

Alternatively,
forget about subprocess.check_output,
call your metrites.py with os.system('python metrites.py some-temp-file')
and have it write its output to some-temp-file,
and read some-temp-file back into your template?




More information about the Python-list mailing list